import React from 'react';
import { IOptionProps, IString } from '../../../@types';
import { IAutocompleteProps } from '../auto-complete/Autocomplete';
interface IAutocompleteLookupProps<T> extends IAutocompleteProps<T> {
    /**
     * Defines debounce time white typing
     */
    debounceTime?: number;
    /**
     * Defines if server has more data to fetch
     */
    hasMore?: boolean;
    /**
     * Defines callback handler to load next page data on infinite-scroll event
     */
    onLoadMore?: () => void;
    /**
     * Defines callback handler on typing to fetch related results from the server.
     */
    onSearchFetch: (searchText: IString) => void;
}
export declare const AutocompleteLookup: React.ForwardRefExoticComponent<IAutocompleteLookupProps<IOptionProps> & React.RefAttributes<unknown>>;
export {};
//# sourceMappingURL=AutocompleteLookup.d.ts.map